Bug 204085 - vgextend command does not accept VG name prepended with /dev
vgextend command does not accept VG name prepended with /dev
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alasdair Kergon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-25 10:07 EDT by Issue Tracker
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.02.10-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-09 16:23:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch1 (447 bytes, patch)
2006-08-25 10:10 EDT, Jeff Layton
no flags Details | Diff
patch 2 (1.73 KB, patch)
2006-08-25 10:52 EDT, Jeff Layton
no flags Details | Diff
patch3 (2.26 KB, patch)
2006-08-25 13:13 EDT, Jeff Layton
no flags Details | Diff

  None (edit)
Comment 1 Issue Tracker 2006-08-25 10:07:59 EDT
Customer reports an inconsistency in the use of vgextend lvm command. In the lvm man page is stated: 
               "Where  commands  take  VG or LV names as arguments, the full path name is optional." 
but not all the commands seems to accept the full path name. For instance:

[root@<hostname> ~]#  vgcreate /dev/vg_test /dev/cciss/c0d1

   Volume group "vg_test" successfully created

[root@<hostname> ~]#  vgextend /dev/vg_test /dev/cciss/c0d2
   /var/lock/lvm/V_/dev/vg_test: open failed: No such file or directory
   Can't get lock for /dev/vg_test

but we can use "vgextend" with just VG name and we do not get errors:

[root@<hostname> ~]# vgextend       vg_test /dev/cciss/c0d2
   Volume group "vg_test" successfully extended


"vgcreate" and "vgremove" accept both a VG name or a full path name as argument as specifyed in the "man lvm" documentation.

Thanks
This event sent from IssueTracker by jlayton  [Support Engineering Group]
 issue 100325
Comment 2 Jeff Layton 2006-08-25 10:10:03 EDT
Created attachment 134916 [details]
patch1

untested patch that does the same thing that vgcreate seems to do with respect
to this.
Comment 3 Jeff Layton 2006-08-25 10:52:54 EDT
Created attachment 134925 [details]
patch 2

Same as first patch, but also fix up vgreduce and vgmerge.
Comment 4 Jeff Layton 2006-08-25 10:57:46 EDT
The patch works with vgextend and vgreduce. I have not been able to test vgmerge
yet, however. This patch should probably get applied to the devel branch
sometime soon. I'll clone the BZ for that in a bit.

There may be other commands as well that still need to be fixed up this way.
Comment 6 Jeff Layton 2006-08-25 13:13:00 EDT
Created attachment 134938 [details]
patch3

I think this should be the final one. The rest of the vg* commands all look
like they do the correct thing wrt dev_dir names.
Comment 8 Jay Turner 2006-08-27 20:25:56 EDT
QE ack for 4.5.
Comment 11 Alasdair Kergon 2007-03-09 16:20:46 EST
This actually got fixed upstream last August (for most of those commands) in
version 2.02.10.

Note You need to log in before you can comment on or make changes to this bug.